---
title: llarp::layers::platform::AddressMapping
summary: an entry for mapping an os address to a flow address 

---

# llarp::layers::platform::AddressMapping



an entry for mapping an os address to a flow address 


`#include <driver_base.hpp>`

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| [flow::FlowInfo](Classes/structllarp_1_1layers_1_1flow_1_1FlowInfo.md) | **[flow](Classes/structllarp_1_1layers_1_1platform_1_1AddressMapping.md#variable-flow)** <br>flow layer info of what we mapped to.  |
| [PlatformAddr](Classes/structllarp_1_1layers_1_1platform_1_1PlatformAddr.md) | **[platform_addr](Classes/structllarp_1_1layers_1_1platform_1_1AddressMapping.md#variable-platform-addr)** <br>the address on the os side  |

## Public Attributes Documentation

### variable flow

```cpp
flow::FlowInfo flow;
```

flow layer info of what we mapped to. 

### variable platform_addr

```cpp
PlatformAddr platform_addr;
```

the address on the os side 

-------------------------------

Updated on 2023-01-23 at 14:22:33 +0000